Bug 596353 - Graphic Glitches with KDE & Nouveau
Summary: Graphic Glitches with KDE & Nouveau
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 13
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 16:12 UTC by Philipp Nahratow
Modified: 2018-04-11 17:15 UTC (History)
7 users (show)

Fixed In Version: xorg-x11-drv-nouveau-0.0.16-7.20100423git13c1043.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-29 15:30:04 UTC
Type: ---


Attachments (Terms of Use)
Screenshot of Problem (66.35 KB, image/jpeg)
2010-05-26 16:12 UTC, Philipp Nahratow
no flags Details
xorg.conf (421 bytes, application/octet-stream)
2010-06-07 07:46 UTC, Philipp Nahratow
no flags Details
dmesg (121.43 KB, application/octet-stream)
2010-06-07 07:47 UTC, Philipp Nahratow
no flags Details
Xorg.0.log (19.36 KB, text/x-log)
2010-06-07 07:48 UTC, Philipp Nahratow
no flags Details
Xorg.9.log (37.33 KB, text/x-log)
2010-06-07 07:49 UTC, Philipp Nahratow
no flags Details
messages (386.95 KB, application/octet-stream)
2010-06-07 07:51 UTC, Philipp Nahratow
no flags Details
messages-20100530 (1.67 MB, application/octet-stream)
2010-06-07 07:51 UTC, Philipp Nahratow
no flags Details

Description Philipp Nahratow 2010-05-26 16:12:17 UTC
Created attachment 416911 [details]
Screenshot of Problem

In KDE I get Graphic glitches in several places.
Nouveau is propably causing this because installing the
propriatary nvidia driver fixed it.

How reproducible:
Always, when choosing file to select new destop background.

Steps to Reproduce:
1. Goto 'change desktop backgroundimage dialog'
2. browse to folder with pictures in it
  
Actual results:
see screenshot

Expected results:
not like screenshot

Additional info:
Fresh install of Fedora13 amd64

lspci | grep VGA
02:00.0 VGA compatible controller: nVidia Corporation C77 [nForce 780a SLI] (rev a2) it's an OnBoard Device on ASUS M3N-HT Deluxe Mainboard

- Even worse graphic glitch occured while taking the screenshot.
Saving out from KSnapshot produced blurry earthquaked image.
I had to select 'open with gimp' and had to save out with gimp.
- Icons in notification area behave like the pictures on screenshot when animated

Comment 1 Matěj Cepl 2010-05-31 12:30:07 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Philipp Nahratow 2010-06-07 07:46:45 UTC
Created attachment 421734 [details]
xorg.conf

These files are probably aren't useful anymore :/
As I said I installed the proprietary nvidia driver and do not have the bug anymore but also don't know how to go back to nouveau.
I removed rdblacklist=nouveau when appending drm.debug=0x04 to the startupline but I guess thats not the whole thing.

Comment 3 Philipp Nahratow 2010-06-07 07:47:32 UTC
Created attachment 421737 [details]
dmesg

Comment 4 Philipp Nahratow 2010-06-07 07:48:06 UTC
Created attachment 421738 [details]
Xorg.0.log

Comment 5 Philipp Nahratow 2010-06-07 07:49:21 UTC
Created attachment 421739 [details]
Xorg.9.log

This file is older, I probably still used nouveau by that time.

Comment 6 Philipp Nahratow 2010-06-07 07:51:00 UTC
Created attachment 421740 [details]
messages

Comment 7 Philipp Nahratow 2010-06-07 07:51:31 UTC
Created attachment 421741 [details]
messages-20100530

Comment 8 Fedora Update System 2010-06-26 01:34:30 UTC
xorg-x11-drv-nouveau-0.0.16-7.20100423git13c1043.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-nouveau-0.0.16-7.20100423git13c1043.fc13

Comment 9 Fedora Update System 2010-06-28 17:12:51 UTC
xorg-x11-drv-nouveau-0.0.16-7.20100423git13c1043.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-nouveau'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-nouveau-0.0.16-7.20100423git13c1043.fc13

Comment 10 Fedora Update System 2010-06-29 15:29:53 UTC
xorg-x11-drv-nouveau-0.0.16-7.20100423git13c1043.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.